package com.steerinfo.baseinfo.meterfilerecord.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="文件操作记录表")
public class MeterFileRecord implements IBasePO<String> {
    /**
     * 主键(FILE_RECORD_ID,VARCHAR,30)
     */
    @ApiModelProperty(value="主键",required=true)
    private String fileRecordId;

    /**
     * 文件名称(FILE_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="文件名称",required=false)
    private String fileName;

    /**
     * 操作功能名称(OPERATION_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="操作功能名称",required=false)
    private String operationName;

    /**
     * 操作人名称(OPERATION_MAN_NAME,VARCHAR,35)
     */
    @ApiModelProperty(value="操作人名称",required=false)
    private String operationManName;

    /**
     * 操作时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="操作时间",required=false)
    private Date createTime;

    /**
     * 备注(MEMO,VARCHAR,50)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 文件id(FILE_ID,VARCHAR,30)
     */
    @ApiModelProperty(value="文件id",required=false)
    private String fileId;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.fileRecordId;
    }

    @Override
    public void setId(String fileRecordId) {
        this.fileRecordId = fileRecordId == null ? null : fileRecordId.trim();
    }

    public String getFileRecordId() {
        return fileRecordId;
    }

    public void setFileRecordId(String fileRecordId) {
        this.fileRecordId = fileRecordId == null ? null : fileRecordId.trim();
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName == null ? null : fileName.trim();
    }

    public String getOperationName() {
        return operationName;
    }

    public void setOperationName(String operationName) {
        this.operationName = operationName == null ? null : operationName.trim();
    }

    public String getOperationManName() {
        return operationManName;
    }

    public void setOperationManName(String operationManName) {
        this.operationManName = operationManName == null ? null : operationManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getFileId() {
        return fileId;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId == null ? null : fileId.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", fileRecordId=").append(fileRecordId);
        sb.append(", fileName=").append(fileName);
        sb.append(", operationName=").append(operationName);
        sb.append(", operationManName=").append(operationManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", memo=").append(memo);
        sb.append(", fileId=").append(fileId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}